// +build dev

package main

import (
	"flag"
	"net/http"
	"os"
	"path/filepath"
)

var StaticDir string = "static/"

func init() {
	mux.HandleFunc("/css/", func(w http.ResponseWriter, r *http.Request) {
		w.Header().Set("Content-Type", "text/css")
		serveStaticAsset(w, r, r.URL.Path)
	})
	mux.HandleFunc("/js/", func(w http.ResponseWriter, r *http.Request) {
		w.Header().Set("Content-Type", "text/javascript")
		serveStaticAsset(w, r, r.URL.Path)
	})

	flag.StringVar(&StaticDir, "static", StaticDir, "Directory containing static files")
}

func serveStaticAsset(w http.ResponseWriter, r *http.Request, url string) {
	if url == "index.html" {
		r.URL.Path = "/"
	} else {
		r.URL.Path = "/" + url
	}
	http.FileServer(http.Dir(StaticDir)).ServeHTTP(w, r)
}

func sanitizeStaticOptions() error {
	StaticDir, _ = filepath.Abs(StaticDir)
	if _, err := os.Stat(StaticDir); os.IsNotExist(err) {
		StaticDir, _ = filepath.Abs(filepath.Join(filepath.Dir(os.Args[0]), "static"))
		if _, err := os.Stat(StaticDir); os.IsNotExist(err) {
			return err
		}
	}
	return nil
}
